elastix (5.1.0-1) unstable; urgency=medium

  [ Steve Robbins ]
  * [d71a07b] New upstream version 5.1.0
  * [6fa3afc] Refresh patch doxygen_cleanup.patch
  * [c6562eb] Remove patch no_include_install.patch - build now has configuration for not installing libs.
  * [5700a0d] Tweak configuration and install rules.
  * [1cc1da9] Remove rules pertaining to dox/manual that is no longer part of the sources.
  * [1dee6dc] Add version on itk-dev dependency.
  * [5700a0d] Tweak configuration and install rules.
  * [1cc1da9] Remove rules pertaining to dox/manual that is no longer part of the sources.
  * [1dee6dc] Add version on itk-dev dependency.

 -- Steve M. Robbins <smr@debian.org>  Wed, 21 Jun 2023 22:14:27 -0500

elastix (5.0.1-4) unstable; urgency=medium

  * Team upload.
  * Fix watch file

 -- Andreas Tille <tille@debian.org>  Thu, 03 Nov 2022 13:00:01 +0100

elastix (5.0.1-3) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 12 May 2022 09:40:56 +0200

elastix (5.0.1-2) unstable; urgency=medium

  [ Steve Robbins ]
  * [22a1156] Fix setting cmake variable SOURCE_DATE_EPOCH
  * [399a85c] Restrict to architecture amd64, matching itk v5.

 -- Steve M. Robbins <smr@debian.org>  Sat, 01 Jan 2022 17:09:49 -0600

elastix (5.0.1-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * New upstream version
    Closes: #909280, #984047
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target (routine-
    update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Remove debian/.gitlab-ci.yml in favour of debian/salsa-ci.yml
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).
  * Avoid explicitly specifying -Wl,--as-needed linker flag.
  * Apply multi-arch hints.
    + elastix-doc: Add Multi-Arch: foreign.
  * Remove debian/.gitlab-ci.yml in favour of debian/salsa-ci.yml
  * Build-Depends: s/libinsighttoolkit4-dev/libinsighttoolkit5-dev/
  * Build-Depends: libcharls-dev
  * Fix install
  * Enable dh_missing --fail-missing
  * Install libANNlib-5.0.so

  [ Gert Wollny ]
  * d/control: remove Gert Wollny from uploaders

 -- Andreas Tille <tille@debian.org>  Mon, 06 Dec 2021 10:47:07 +0100

elastix (4.9.0-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * Fix watch file
  * debhelper 12
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.3.0
  * Suppress dh_dwz due to: 'dwz: Too few files for multifile optimization'
  * Fix EPOCH_DATE
  * Set "Rules-Requires-Root: no" to avoid issues with fakeroot
  * Fix generation of docs using doxygen and move all code under one target
  * Install Apache NOTICE file
  * Remove unused lintian-override

  [ Jelmer Vernooĳ ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.

 -- Andreas Tille <tille@debian.org>  Tue, 15 Jan 2019 11:24:43 +0100

elastix (4.8-12) unstable; urgency=medium

  * d/p/itk4.11.patch: Make it compile with itk >= 4.11
  * d/control: Update my maintainer e-mail
  * d/control: Update standards vesrsion

 -- Gert Wollny <gewo@debian.org>  Fri, 14 Jul 2017 10:05:14 +0000

elastix (4.8-11) unstable; urgency=medium

  * Team upload
  * Moved packaging from SVN to Git
  * Drop myself from Uploaders
  * debian/upstream/metadata: Add more recent publication
  * d/watch: point to Github
  * debhelper 10
  * Drop latex-xcolor which is in texlive-latex-recommended
    Closes: #865258
  * d/rules: xz compression is now default
  * avoid privacy breach by using local logo

 -- Andreas Tille <tille@debian.org>  Tue, 20 Jun 2017 10:05:20 +0200

elastix (4.8-10) unstable; urgency=medium

  * d/p/itk-4.10: Add patch to compile with ITK-4.10

 -- Gert Wollny <gw.fossdev@gmail.com>  Mon, 25 Jul 2016 18:46:29 +0000

elastix (4.8-9) unstable; urgency=medium

  * d/p/fix-compi..: fix compilation with -std=c++11,
  * d/rules: removed forced std=c++03, Closes: #822779
  * d/rules: hardening += all
  * d/control: use secure VCS browse url

 -- Gert Wollny <gw.fossdev@gmail.com>  Wed, 06 Jul 2016 12:45:21 +0000

elastix (4.8-8) unstable; urgency=medium

  * d/rules: force -std=c++03 to alleviate build failure with g++-6.0
    Related: #822713

 -- Gert Wollny <gw.fossdev@gmail.com>  Tue, 26 Apr 2016 21:04:29 +0000

elastix (4.8-7) unstable; urgency=medium

  * d/control: Update to latest standards version 3.9.8

 -- Gert Wollny <gw.fossdev@gmail.com>  Tue, 26 Apr 2016 15:08:45 +0000

elastix (4.8-6) unstable; urgency=medium

  * d/rules: add another sed to remove the \today from manual.tex

 -- Gert Wollny <gw.fossdev@gmail.com>  Mon, 21 Mar 2016 17:24:01 +0000

elastix (4.8-5) unstable; urgency=medium

  * d/control: Add texlive-publishers to doc-build depends as it seems to be
    needed for the references
  * d/rules: Update the build script for the manual.pdf to make use of
    SOURCE_DATE_EPOCH when building it.
  * d/control: Update standards version to 3.9.7

 -- Gert Wollny <gw.fossdev@gmail.com>  Wed, 16 Mar 2016 15:41:26 +0000

elastix (4.8-4) unstable; urgency=medium

  * d/p: Update date-time patch Closes: #813345
  * d/control: update standards version to 3.9.7
  * d/control: update VCS browse URL to use https

 -- Gert Wollny <gw.fossdev@gmail.com>  Mon, 07 Mar 2016 13:30:50 +0000

elastix (4.8-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/fix-cast-error.patch:
    fix FTBFS with insighttoolkit4.9 (Closes: #815996).

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 26 Feb 2016 12:54:10 +0100

elastix (4.8-3) unstable; urgency=medium

  [ Andreas Tille ]
  * Add Registration field to upstream metadata

  [ Gert Wollny ]
  * Update dependency for libdcmtk-dev to unversioned package
  * Rebuild against itk-4.8.2-3, Closes: #650601

 -- Gert Wollny <gw.fossdev@gmail.com>  Thu, 07 Jan 2016 12:49:31 +0100

elastix (4.8-2) unstable; urgency=medium

  * d/rules: - Revert the change regarding jquery.js, the system
               version is not usable
             - Add SOURCE_DATE_EPOCH to the cmake call parameters
  * d/ add override to elastix-doc for embedded jquery.js
  * Add and unify patch for doxygen docu cleanup in
    doxygen_cleanup.patch:
    - Remove the google search and make local links point to the
      remote elastix site like it is suppose to.
    - Move the Google analytics patch into this patch
    - Move the patch for PNG->SVG change into this patch
    - enable the SEARCHENGINE since this issues the needed
      dynsections.js
  * Add patch doxygen_use_epoch...: Set the doxygen files data to
      SOURCE_DATA_EPOCH if it is set with cmake.

 -- Gert Wollny <gw.fossdev@gmail.com>  Thu, 15 Oct 2015 15:54:28 +0200

elastix (4.8-1) unstable; urgency=medium

  * New upstram version
  * update patch build-static-ann.patch
  * d/copyright: Update upstream license (now Apache-2.0)
  * d/control: - remove unused shlib:depends on elastix-doc
               - add dependency on libjs-jquery
               - update standards version
  * d/rules: - remove jquery.js and *.md5 from the packaged doc files
             - add -fvisibility=hidden as c++ flags to silence warnings
  * Add patch to change Doxygen output:
    - use svg graphics instead of png to save space
    - remove time stamps from documentation

 -- Gert Wollny <gw.fossdev@gmail.com>  Mon, 12 Oct 2015 22:22:54 +0200

elastix (4.7-2) unstable; urgency=medium

  * Build-Depends: libfftw3-dev
    Closes: #746089

 -- Andreas Tille <tille@debian.org>  Sun, 27 Apr 2014 17:54:59 +0200

elastix (4.7-1) unstable; urgency=medium

  [ Gert Wollny ]
  * New upstream version
  * Add --as-needed to the linker flags
  * remove patches/disable-mevisdicomtiff.patch, fixed upstream (91edb5)
  * remove patches/itk-review-detection.patch, fixed upstream (9442a2)
  * Add patch to disable google-adsense in the created documentation

  [ Andreas Tille ]
  * cme fix dpkg-control
  * Provide doc-base file

 -- Gert Wollny <gw.fossdev@gmail.com>  Tue, 11 Mar 2014 11:32:25 +0100

elastix (4.6-2) unstable; urgency=low

  * patches/itk-review-detection.patch: New.  Update ITK "Review module"
    detection to be compatible with ITK 4.5.
  * control: Tighten ITK build dep to be 4.5.0-2 because -1 omitted the
    review module.  Add libdcmtk2-dev, now required by ITK.

 -- Steve M. Robbins <smr@debian.org>  Sat, 04 Jan 2014 17:48:12 -0600

elastix (4.6-1) unstable; urgency=low

  * New upstream version.
  * control: Build-depend on libinsighttoolkit4-dev (instead of ITK 3).
  * control(elastix): Build only architectures amd64 and i386, following ITK 4.

  * patches/disable-mevisdicomtiff.patch: New.  Fix build system to honour
    ELASTIX_USE_MEVISDICOMTIFF=false
  * rules: Build with ELASTIX_USE_MEVISDICOMTIFF=false.

  * control: Add build-dep-indep on texlive-fonts-recommended to build
    docs.  Remove build-dep on libgdcm2-dev.  Closes: #731921.

 -- Steve M. Robbins <smr@debian.org>  Fri, 13 Dec 2013 23:26:15 -0600

elastix (4.5-4) unstable; urgency=low

  * Team upload.
  * Build-depend on libtiff-dev, instead of libtiff4-dev.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Thu, 05 Dec 2013 23:10:56 +0000

elastix (4.5-3) unstable; urgency=low

  * debian/control:
     - cme fix dpkg-copyright
     - debhelper 9
     - Build-Depends-Indep: latex-xcolor
       Closes: #713280
     - Remove duplicated "Section: science"
     - Duplicated long description
  * debian/rules: use xz compression
  * debian/copyright:
    s/GNU Lesser Public License/GNU Lesser General Public License/

 -- Andreas Tille <tille@debian.org>  Tue, 25 Jun 2013 08:14:19 +0200

elastix (4.5-2) unstable; urgency=low

  * debian/control:
     - Standards-Version: 3.9.3 (no changes needed)
     - Fixed Vcs fields
     - Build-Depends: s/libpng12-dev/libpng-dev/
       Closes: 662311
  * debian/upstream:
     - Tasks file had a slightly more precise information about author
     - Valid BibTeX authors field
     - More precise information (authors, pmid, doi)
  * debian/copyright: Rewritten to match DEP5. verified using
     cme fix dpkg-copyright
  * Note: Tried debhelper 9 (control+compat) but failed for a reason which
    is totally unclear to me.  There seems to be an error return code in
    the middle of the build process without any visible error message

 -- Andreas Tille <tille@debian.org>  Fri, 11 May 2012 13:50:29 +0200

elastix (4.5-1) unstable; urgency=low

  * New upstream.

 -- Steve M. Robbins <smr@debian.org>  Thu, 13 Oct 2011 01:52:26 -0500

elastix (4.4-2) unstable; urgency=low

  [ Andreas Tille ]
  * debian/control:
    - Fix name of Debian Med team (without '-')
    - Added Vcs fields
    - Fix typo in description
      Closes: #613621
  * Added debian/upstream-metadata.yaml
  * Added debian/watch (Thanks to Paul Wise <pabs@debian.org>
    and Daniel Leidert <daniel.leidert@wgdd.de>)

  [ Steve M. Robbins ]
  * target upload to unstable.

 -- Steve M. Robbins <smr@debian.org>  Mon, 21 Feb 2011 10:30:55 -0600

elastix (4.4-1) experimental; urgency=low

  * New package.  Closes: #607030.

 -- Steve M. Robbins <smr@debian.org>  Mon, 27 Dec 2010 06:01:00 -0600
